Get employee information
This endpoint retrieves the information of an employee filtered by their identifier (employeeId).
GET /api/v2/businesses/{businessId}/employees/{employeeId}
If the data included in the request is correct —both businessId and employeeId—, the response will contain the information defined for the employee.
Response example
{
"name": "Eva",
"surname": "García",
"birthday": "1987-05-07",
"employeeId": "170326",
"virtual": false
}
{
"name": "Jane",
"surname": "Santos",
"group": "",
"employeeId": "010203",
"metadata": {
"light": true
},
"seniority": "2018-03-01",
"virtual": false
}
Details
-
name: employee’s first name.
-
surname: employee’s last name(s).
-
group: group the employee belongs to.
-
email: employee’s email address.
-
birthday: date of birth in
yyyy-MM-ddformat. -
employeeId: employee identifier in the external system.
-
metadata: additional data about the employee. The structure of this field must be previously configured at the business level by the Orquest team.
-
seniority: employee’s seniority date in
yyyy-MM-ddformat. -
virtual: determines whether this is a real employee or a virtual one used, for example, to run simulations.
As shown in the example, the request will return the information defined in the system, so there may be non-mandatory fields that do not appear in the response.
Metadata will only appear in businesses that have previously configured this information.
Considerations
If the employee ID specified in the URL does not exist in the business, the request will return a 404 Not Found error, specifying Employee not found in the message.